- Research Article
52
- 10.1016/j.aim.2015.04.015
Random triangle removal
- May 15, 2015
- Advances in Mathematics
- Tom Bohman + 2 more +2
Random triangle removal
The random greedy algorithm for constructing a large partial Steiner-Triple-System is defined as follows. Begin with a complete graph on n vertices and proceed to remove the edges of triangles one at a time, where each triangle removed is chosen uniformly at random out of all remaining triangles. This stochastic process terminates once it arrives at a triangle-free graph, and a longstanding open problem is to estimate the final number of edges, or equivalently the time it takes the process to conclude. The intuition that the edge distribution is roughly uniform at all times led to a folklore conjecture that the final number of edges is n 3/2+o(1) with high probability, whereas the best known upper bound is n 7/4+o(1) . It is no coincidence that various methods break precisely at the exponent 7/4 as it corresponds to the inherent barrier where co-degrees become comparable to the variations in their values that arose earlier in the process. In this work we significantly improve upon the previous bounds by establishing that w.h.p. the number of edges in the final graph is at most n 5/3+o(1) . Our approach relies on a system of martingales used to control key graph parameters, where the crucial new idea is to harness the self-correcting nature of the process in order to control these parameters well beyond the point where their early variation matches the order of their expectation.
Random triangle removal
Random triangle removal
Efficient spectrum matching based on spectrum characteristics in cognitive radio systems
QoS is a very important issue in cognitive radio systems. We present and discuss spectrum matching algorithms to support QoS for cognitive radio users. This work is carried out in the context of a dynamic changing spectrum. In this paper, we propose efficient spectrum matching algorithms, which have low-complexity and quite good performance, based on statistical characteristics of spectrum bands. Those are classified random matching algorithm and greedy algorithm. The classified random matching algorithms would match the most suitable spectrum class to a proper user and randomly choose a spectrum within the class. And, using greedy algorithm, the best spectrum out of available spectrum bands will be chosen whenever a new user joins. The proposed algorithms provide QoS for cognitive radio systems through the reduction of spectrum handoff probability and improvement of fairness. Performance analysis and simulation results validate the efficiency of the proposed algorithms.
Read moreMonotone submodular maximization over the bounded integer lattice with cardinality constraints
We consider the problem of maximizing monotone submodular function over the bounded integer lattice with a cardinality constraint. Function [Formula: see text] is submodular over integer lattice if [Formula: see text], [Formula: see text], where ∨ and ∧ represent elementwise maximum and minimum, respectively. Let [Formula: see text], and [Formula: see text], we study the problem of maximizing submodular function [Formula: see text] with constraints [Formula: see text] and [Formula: see text]. A random greedy [Formula: see text]-approximation algorithm and a deterministic [Formula: see text]-approximation algorithm are proposed in this paper. Both algorithms work in value oracle model. In the random greedy algorithm, we assume the monotone submodular function satisfies diminishing return property, which is not an equivalent definition of submodularity on integer lattice. Additionally, our random greedy algorithm makes [Formula: see text] value oracle queries and deterministic algorithm makes [Formula: see text] value oracle queries.
Read moreTriangle Packings and Transversals of Some $$K_{4}$$ K 4 -Free Graphs
Tuza’s Conjecture asserts that the minimum number $$\tau _{\varDelta }'(G)$$ of edges of a graph G whose deletion results in a triangle-free graph is at most 2 times the maximum number $$\nu _{\varDelta }'(G)$$ of edge-disjoint triangles of G. The complete graphs $$K_{4}$$ and $$K_{5}$$ show that the constant 2 would be best possible. Moreover, if true, the conjecture would be essentially tight even for $$K_{4}$$ -free graphs. In this paper, we consider several subclasses of $$K_{4}$$ -free graphs. We show that the constant 2 can be improved for them and we try to provide the optimal one. The classes we consider are of two kinds: graphs with edges in few triangles and graphs obtained by forbidding certain odd-wheels. We translate an approximate min-max relation for $$\tau _{\varDelta }'(G)$$ and $$\nu _{\varDelta }'(G)$$ into an equivalent one for the clique cover number and the independence number of the triangle graph of G and we provide $$\theta $$ -bounding functions for classes related to triangle graphs. In particular, we obtain optimal $$\theta $$ -bounding functions for the classes $${\textit{Free}}(K_{5}, \text{ claw, } \text{ diamond })$$ and $${\textit{Free}}(P_{5}, \text{ diamond }, K_{2,3})$$ and a $$\chi $$ -bounding function for the class $$(\text{ banner, } \text{ odd-hole }, \overline{K_{1, 4}})$$ .
Read morePacking degenerate graphs
Given D and γ>0, whenever c>0 is sufficiently small and n sufficiently large, if G is a family of D-degenerate graphs of individual orders at most n, maximum degrees at most cnlogn, and total number of edges at most (1−γ)(n2), then G packs into the complete graph Kn. Our proof proceeds by analysing a natural random greedy packing algorithm.
Read moreAn Efficient Randomized Routing Protocol for Single-Hop Radio Networks
In this paper we study the important problems of message routing, sorting, and selection in a radio network. A radio network consists of stations where each station is a hand-held device. We consider a single-hop radio network. In a single-hop network it is assumed that each station is within the transmission range of every other station. Let RN(p; k) stand for a single-hop network that has p stations and k communication channels. The problems of sorting and selection have been studied on RN(p; k). For these problems it is assumed that there are n/p elements to start with at each station. At the end of sorting, the least n/p elements should be in the first station, the next smallest n/p elements should be in the second station, and so on. The best known prior algorithm for sorting takes 4n/k +o(n/k) broadcast rounds on a RN(p; k). In this paper we present a randomized algorithm that takes only 3n/k +o(n/k) broadcast rounds with high probability. For the selection problem, it is known that the maximum or minimum element can be found in O(log n) rounds on a RN(n; 1), provided broadcast conflicts can be resolved in O(1) time. The problem of general selection has not been addressed. In this paper we present a randomized selection algorithm that takes O(p/k) rounds on a RN(p; k) with high probability. An important message routing problem that is considered in the literature is one where there are n/p packets originating from each station and there are n/p packets destined for each station. The best known routing algorithms take nearly 2n/k times slots. An important open question has been if there exist algorithms that take only close to n/k time slots. Note that a trivial lower bound for routing is n/k. The existence of such algorithms will be highly relevant especially in emergencies and time critical situations. In this paper we answer this question by presenting a randomized algorithm that takes nearly n/k time slots with high probability.
Read moreBrief Announcement
Over the past 30 years numerous algorithms have been designed for symmetry breaking problems in the LOCAL model, such as maximal matching, MIS, vertex coloring, and edge-coloring. For most problems the best randomized algorithm is at least exponentially faster than the best deterministic algorithm. In this paper we prove that these exponential gaps are necessary and establish numerous connections between the deterministic and randomized complexities in the LOCAL model. Each of our results has a very compelling take-away message: Fast Δ-coloring of trees requires random bits. Building on the recent randomized lower bounds of Brandt et al. [6], we prove that the randomized complexity of Δ-coloring a tree with maximum degree Δ is θ(logΔ log n), for any Δ ≥ 55, whereas its deterministic complexity is θ(logΔn) for any Δ ≥ 3. This also establishes a large separation between the deterministic complexity of Δ-coloring and (Δ+1)-coloring trees.Randomized lower bounds imply deterministic lower bounds. We prove that any deterministic algorithm for a natural class of problems that runs in O(1) + o(logΔn) rounds can be transformed to run in O(log* n -- log*Δ + 1) rounds. If the transformed algorithm violates a lower bound (even allowing randomization), then one can conclude that the problem requires Ω(logΔn) time deterministically. (This gives an alternate proof that deterministically Δ-coloring a tree with small Δ takes Ω(logΔn) rounds.)Deterministic lower bounds imply randomized lower bounds. We prove that the randomized complexity of any natural problem on instances of size n is at least its deterministic complexity on instances of size √log n}. This shows that a deterministic Ω(logΔn) lower bound for any problem (Δ-coloring a tree, for example) implies a randomized Ω(logΔ log n) lower bound. It also illustrates that the graph shattering technique employed in recent randomized symmetry breaking algorithms is absolutely essential to the LOCAL model. For example, it is provably impossible to improve the 2O(√log log n) terms in the complexities of the best MIS and (Δ+1)-coloring algorithms without also improving the 2O(√log n})-round Panconesi-Srinivasan algorithms.
Read moreContractible edges in triangle-free graphs
An edge of a graph is calledk-contractible if the contraction of the edge results in ak-connected graph. Thomassen [5] proved that everyk-connected graph of girth at least four has ak-contractible edge. In this paper, we study the distribution ofk-contractible edges in triangle-free graphs and show the following: Whenk≧2, everyk-connected graph of girth at least four and ordern≧3k, hasn+(3/2)k2-3k or morek-contractible edges.
Read moreMultiobjective constructive heuristics for the 1/3 variant of the time and space assembly line balancing problem: ACO and random greedy search
Multiobjective constructive heuristics for the 1/3 variant of the time and space assembly line balancing problem: ACO and random greedy search
Read moreA traffic flow-based and dynamic grouping-enabled resource allocation algorithm for LTE-D2D vehicular networks
Nowadays, Device-to-Device (D2D) communication in LTE system has been proposed as a possible candidate for vehicle-to-vehicle(V2V) communication. As V2V communications share the same licensed frequency spectrum pool with typical UEs communications in one LTE cell, efficient radio resource allocation is a challenging issue. In this paper, we proposed a traffic flow based dynamic resource allocation algorithm for vehicular communication networks, which could make radio resource to be utilized in a more efficient way with a flexible node-grouping algorithm. The simulation results show, compared with random allocation and greedy allocation algorithms, the proposed algorithm can significantly reduce running time and significantly improve spectrum utilization efficiency.
Read moreStochastic modeling of large-scale solid-state storage systems
Solid state drives (SSDs) have seen wide deployment in mobiles, desktops,and data centers due to their high I/O performance and low energy consumption. As SSDs write data out-of-place, garbage collection (GC) is required to erase and reclaim space with invalid data. However, GC poses additional writes that hinder the I/O performance, while SSD blocks can only endure a finite number of erasures. Thus, there is a performance-durability tradeoff on the design space of GC. To characterize the optimal tradeoff, this paper formulates an analytical model that explores the full optimal design space of any GC algorithm. We first present a stochastic Markov chain model that captures the I/O dynamics of large-scale SSDs, and adapt the mean-field approach to derive the asymptotic steady-state performance. We further prove the model convergence and generalize the model for all types of workload. Inspired by this model, we propose a randomized greedy algorithm (RGA) that can operate along the optimal tradeoff curve with a tunable parameter. Using trace-driven simulation on DiskSim with SSD add-ons, we demonstrate how RGA can be parameterized to realize the performance-durability tradeoff.
Read moreUpper Bounds on the Diameter of Bipartite and Triangle-Free Graphs with Prescribed Edge Connectivity
We present upper bounds on the diameter of bipartite and triangle-free graphs with prescribed edge connectivity with respect to order and size. All bounds presented in this paper are asymptotically sharp.
Read moreA note on a triangle-free — complete graph induced Ramsey number
A note on a triangle-free — complete graph induced Ramsey number
On the structure of clique-free graphs
Using a clever inductive counting argument Erdős, Kleitman and Rothschild showed in 1976 that almost all triangle-free graphs are bipartite, i.e., that the cardinality of the two graph classes is asymptotically equal. In this paper we investigate the structure of the “few” triangle-free graphs which are not bipartite. As it turns out, with high probability, these graphs are bipartite up to a few vertices. More precisely, almost all of them can be made bipartite by removing just one vertex. Almost all others can be made bipartite by removing two vertices, and then three vertices and so on. We also show that similar results hold if we replace “triangle-free” by K𝓁+1-free and “bipartite” by 𝓁-partite. © 2001 John Wiley & Sons, Inc. Random Struct. Alg., 19, 37–53, 2001
Read moreImproved Randomized Results for That Interval Selection Problem
Online interval selection is a problem in which intervals arrive one by one, sorted by their left endpoints. Each interval has a length and a non-negative weight associated with it. The goal is to select a non-overlapping set of intervals with maximal total weight and run them to completion. The decision regarding a possible selection of an arriving interval must be done immediately upon its arrival. The interval may be preempted later in favor of selecting an arriving overlapping interval, in which case the weight of the preempted interval is lost. We follow Woeginger [10] and study the same models. The type of instances we consider are C-benevolent instances, where the weight of an interval in a monotonically increasing (convex) function of the length, and D-benevolent instances, where the weight of an interval in a monotonically decreasing function of the length. Some of our results can be extended to the case of unit length intervals with arbitrary costs. We significantly improve the previously known bounds on the performance of online randomized algorithms for the problem, namely, we introduce a new algorithm for the D-benevolent case and for unit intervals, which uses a parameter θ and has competitive ratio of at most \(\frac{\theta^2\ln\theta}{(\theta-1)^2}\). This value is equal to approximately 2.4554 for θ ≈ 3.513 being the solution of the equation x − 1 = 2ln x. We further design a lower bound of 1 + ln 2 ≈ 1.693 on the competitive ratio of any randomized algorithm. The lower bound is valid for any C-benevolent instance, some D-benevolent functions and for unit intervals. We further show a lower bound of \(\frac 32\) for a wider class of D-benevolent instances. This improves over previously known lower bounds. We also design a barely random online algorithm for the D-benevolent case and the case of unit intervals, which uses a single random bit, and has a competitive ratio of 3.22745.KeywordsUnit IntervalCompetitive RatioOnline AlgorithmMarginal ProbabilityDeterministic AlgorithmThese keywords were added by machine and not by the authors. This process is experimental and the keywords may be updated as the learning algorithm improves.
Read more